<div id="body" class="container-fluid">
  <h6>Set Preferences</h6>
  <dx-data-grid #grid id="grid" [dataSource]="items" keyExpr="cnfrcBrdgId" [columnAutoWidth]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [wordWrapEnabled]="true"
                (onSelectionChanged)="selectionChangedHandler($event)"
                (onEditingStart)="loadEditForm($event)"
                (onToolbarPreparing)="onToolbarPreparing($event)"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                (onRowInserting)="saveForm($event)" (onRowUpdating)="saveForm($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-editing mode="form" [useIcons]="true" [allowUpdating]="true" [allowAdding]="true">
      <dxo-form>
        <dxi-item dataField="cnfrcBrdgNbr" [colSpan]="1"></dxi-item>
        <dxi-item dataField="cnfrcPinNbr" [colSpan]="1"></dxi-item>
        <dxi-item dataField="soi" [colSpan]="1"></dxi-item>
        <dxi-item dataField="onlineMeetingAdr" [colSpan]="1"></dxi-item>
      </dxo-form>
    </dxo-editing>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column type="buttons" [buttons]="['edit']" caption="Edit" [minWidth]="50"></dxi-column>
    <dxi-column dataField="cnfrcBrdgNbr" caption="Conf. Bridge Number" dataType="string" [minWidth]="150">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxi-validation-rule type="stringLength" [max]="100" message="Conf. Bridge Number max characters is 100."></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="cnfrcPinNbr" caption="Conf. Bridge Pin" [minWidth]="100">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxi-validation-rule type="stringLength" [max]="20" message="Conf. Bridge Pin max characters is 20."></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="soi" caption="SOI" [minWidth]="100">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxi-validation-rule type="stringLength" [max]="20" message="SOI max characters is 20."></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="onlineMeetingAdr" caption="Meeting Link" cellTemplate="cellTemplate" [minWidth]="150">
      <dxi-validation-rule type="stringLength" [max]="1000" message="Meeting Link max characters is 1000."></dxi-validation-rule>
    </dxi-column>
    <div *dxTemplate="let cell of 'cellTemplate'">
      <a class="dx-link" (click)="openLink( cell.text )">
        {{ cell.text }}
      </a>
    </div>
    <dxi-column dataField="createdByAdid" caption="Created By"></dxi-column>
    <dxi-column dataField="modifiedByAdid" caption="Modified By"></dxi-column>
    <div *dxTemplate="let data of 'removeTemplate'">
      <button class="btn btn-sm btn-primary" type="button"
              [disabled]="!selectedItemKeys.length" (click)="deleteRows()">
        Remove Selected Records
      </button>
    </div>
  </dx-data-grid>
</div>
